classification
Title: Remove the pyvenv script in Python 3.8
Type: enhancement Stage: resolved
Components: Demos and Tools Versions: Python 3.8
process
Status: closed Resolution: fixed
Dependencies: 25154 Superseder:
Assigned To: brett.cannon Nosy List: brett.cannon, csabella
Priority: normal Keywords: patch

Created on 2015-10-16 22:15 by brett.cannon, last changed 2018-04-20 21:16 by brett.cannon. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 5962 merged brett.cannon, 2018-03-03 00:31
Messages (4)
msg253103 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2015-10-16 22:15
Title explains it all.
msg312573 - (view) Author: Cheryl Sabella (csabella) * Date: 2018-02-22 17:34
Ping since we're now on 3.8.  :-)
msg312646 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2018-02-23 17:06
Oh, I haven't forgotten. :) This issue is the only one I have assigned to myself and been looking forward to ripping it out for over 2 years (might not get to it until the sprints at PyCon US, but I will definitely be ripping it out).
msg315539 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2018-04-20 21:15
New changeset a8c342465b977115b88a4f130833a2fd4c4e7356 by Brett Cannon in branch 'master':
bpo-25427: Remove pyvenv (GH-5962)
https://github.com/python/cpython/commit/a8c342465b977115b88a4f130833a2fd4c4e7356
History
Date User Action Args
2018-04-20 21:16:07brett.cannonsetstatus: open -> closed
resolution: fixed
stage: commit review -> resolved
2018-04-20 21:15:42brett.cannonsetmessages: + msg315539
2018-03-05 19:46:22brett.cannonsetstage: patch review -> commit review
2018-03-03 00:31:57brett.cannonsetkeywords: + patch
stage: needs patch -> patch review
pull_requests: + pull_request5730
2018-02-23 17:06:20brett.cannonsetmessages: + msg312646
2018-02-22 17:34:58csabellasetversions: + Python 3.8
nosy: + csabella

messages: + msg312573

type: enhancement
stage: needs patch
2015-10-16 22:15:54brett.cannonsetdependencies: + Drop the pyvenv script
2015-10-16 22:15:46brett.cannoncreate